#!/usr/bin/env sh

MANIFEST=git.hannover.ccc.de/lubiana/cheekylist
AMD=${MANIFEST}amd64
ARM=${MANIFEST}arm64

podman manifest exists $MANIFEST
if [ $? -eq 0 ]; then
  podman manifest rm $MANIFEST
fi
podman manifest create $MANIFEST

podman build --arch=amd64 -t $AMD .
podman build --arch=arm64 -t $ARM .

podman manifest add $MANIFEST $AMD $ARM

podman manifest push $MANIFEST
